import { browserHistory } from 'react-router';

/** RAA : Navigate to a specific page location within current SPA
  @param {string} location - where to navigate to (can be an object see react-router API)
  @param {bool} replace - True to replace current URL history, False to append.
*/
export function goto(location, replace = false) {

  return () => {

    if (replace) {
      browserHistory.replace(location);
    } else {
      browserHistory.push(location);
    }
  }
}
