import { createStore, applyMiddleware } from 'redux';
import webapi from '../api/web-api';

/** Configure REDUX store (single source of truth)
  @param rootReducer (object) : main reducer to rule them all
  @param asyncMiddleware (function) : asynchronous actions handler (ex : redux-thunk)
  @param initialState (object) : (optional) state initial state
*/
export default function configureStore(rootReducer, asyncMiddleware, initialState) {
  return createStore(
    rootReducer,
    initialState,
    applyMiddleware(webapi, asyncMiddleware)
  );
}
